Не получается установить библиотеку cpmoptimize

Зашёл на вот этот сайт

https://habr.com/ru/post/236689/

И там 
Ссылки для скачивания
Установить библиотеку можно с помощью pip:
sudo pip install cpmoptimize
Исходный код библиотеки с примерами доступен на github под свободной лицензией MIT.
UPD. Пакет опубликован в Python Package Index
Мои версии (python3.7 в Thonny), python3.8, (python3.9 в Pycharm)
Моя команда sudo pip3 install cpmoptimize
Пробовал во всех редакторах загрузить но получаю одну и туже ошибку

Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-install-oam94xh5/byteplay/setup.py", line 4, in <module>
        from byteplay import __version__ as lib_version
      File "/tmp/pip-install-oam94xh5/byteplay/byteplay.py", line 181
        raise ValueError, "Opcode stack behaviour depends on arg"
                        ^
    SyntaxError: invalid syntax
    
    ----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-install-oam94xh5/byteplay/

Посмотрел на GitHub файл byteplay.py где указывается на запятую.
Обновлял  python -m pip install --upgrade pip 
Пробовал git clone https://...... и запустить из папки cpmoptimize файл установки но тоже не 
помогло

Подскажите как установить данный пакет-библиотеку

Ответы (1 шт):

Автор решения: Sergey Karbivnichiy

Данная библиотека не поддерживает Python3, она для Python2.6 и 2.7

GitHub

→ Ссылка